All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sas.dataselectors.filters
Class FilterValuesToTreeModelAdapter

    com.sas.dataselectors.filters.FilterValuesToTreeModelAdapter

All Implemented Interfaces:
  java.io.Serializable, javax.swing.tree.TreeModel

    @SASScope(value="ALL")
    public class FilterValuesToTreeModelAdapter

See Also:
  Serialized Form

Constructor Summary
`FilterValuesToTreeModelAdapter()` Constructs a new empty adapter.
`FilterValuesToTreeModelAdapter(FilterValuesInterface listRoot)` Constructs a new adapter with a structure defined by converting the given values list to a tree model.
`FilterValuesToTreeModelAdapter(FilterValuesInterface listRoot, boolean asksAllowsChildren)` Constructs a new adapter with a structure defined by converting the given values list to a tree model.
`FilterValuesToTreeModelAdapter(javax.swing.tree.TreeNode root)` Constructs a new adapter with the given tree node as the root.
`FilterValuesToTreeModelAdapter(javax.swing.tree.TreeNode root, boolean asksAllowsChildren)` Constructs a new adapter with the given root node.

Method Summary
`static javax.swing.tree.MutableTreeNode` | `convertList(FilterValuesInterface listRoot)` Converts the given filter values list to a tree node model and returns the root of that new model.
`java.lang.Object` | `getData()` Returns the initial values list used to create the tree model or user supplied data.
`void` | `setData(java.lang.Object object)` Sets the user supplied data for this adapter.

Constructor Detail

### FilterValuesToTreeModelAdapter

    public FilterValuesToTreeModelAdapter()

  Constructs a new empty adapter.

### FilterValuesToTreeModelAdapter

    public FilterValuesToTreeModelAdapter(javax.swing.tree.TreeNode root)

  Constructs a new adapter with the given tree node as the root.

  Parameters:
    `root` - the root node of the new tree model

### FilterValuesToTreeModelAdapter

    public FilterValuesToTreeModelAdapter(javax.swing.tree.TreeNode root,
                                          boolean asksAllowsChildren)

  Constructs a new adapter with the given root node.

  Parameters:
    `root` - the root node of the new tree model
    `askAllowsChildren` - a boolean, false if any node can have children, true if each node is asked to see if it can have children
  See Also:
    `DefaultTreeModel.asksAllowsChildren`

### FilterValuesToTreeModelAdapter

    public FilterValuesToTreeModelAdapter(FilterValuesInterface listRoot)
                                   throws DataRetrievalError

  Constructs a new adapter with a structure defined by converting the given values list to a tree model.

  Parameters:
    `listRoot` - the values list to convert
  Throws:
    `DataRetrievalError` - if any errors occur while retrieving data from the values list(s)

### FilterValuesToTreeModelAdapter

    public FilterValuesToTreeModelAdapter(FilterValuesInterface listRoot,
                                          boolean asksAllowsChildren)
                                   throws DataRetrievalError

  Constructs a new adapter with a structure defined by converting the given values list to a tree model.

  Parameters:
    `listRoot` - the values list to convert
    `askAllowsChildren` - a boolean, false if any node can have children, true if each node is asked to see if it can have children
  Throws:
    `DataRetrievalError` - if any errors occur while retrieving data from the values list(s)
  See Also:
    `DefaultTreeModel.asksAllowsChildren`

Method Detail

### getData

    public java.lang.Object getData()

  Returns the initial values list used to create the tree model or user supplied data.

  Returns:
    the data for this adapter

### setData

    public void setData(java.lang.Object object)

  Sets the user supplied data for this adapter.

  Parameters:
    `object` - the data for this adapter

### convertList

    public static javax.swing.tree.MutableTreeNode convertList(FilterValuesInterface listRoot)
                                                        throws DataRetrievalError

  Converts the given filter values list to a tree node model and returns the root of that new model. If the values list contains an element that also is another list, that list will be converted as well (recursively) adding more levels to the resulting tree node model.

  Parameters:
    `listRoot` - the values list to process
  Returns:
    the root of the new tree node model representing the values list
  Throws:
    `DataRetrievalError` - if any errors occur while retrieving data from the values list(s)

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.